augroup benieAugroup
  autocmd!

  " Reopening a file at last curson position
  au BufReadPost * if line("'\"") > 0 && line("'\"") <= line("$")
          \ | exe "normal! g'\"" | endif

  " Highlight conflict markers in any filetype
  au FileType * call matchadd('Todo', '^\(<<<<<<<\||||||||\|=======\|>>>>>>>\)\s\ze.*$')

  " Update `Last change: <date>` on write then jump back previous position
  au BufWritePost *.txt 1s/Last change: \zs.*$/\=strftime('%Y %b %d')/e|norm!``

  " Read template into buffer then send line 1 to the black hold register
  au BufNewFile todo.md read ~/.vim/templates/skeleton.todo.md | 1delete _
  " Attempt to expand snippet named `_template` if it exists
  au BufNewFile * silent! call snippet#template()
  " Do the same when filetype changes to help
  au FileType help silent! call snippet#template()
augroup END
